New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
System

Select CUDA GPU device

PUT
/api/v1/system/gpu-device

Switch the active CUDA device. Unloads both TTS and ASR models for device migration.

Query Parameters

index*Index

CUDA device index

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

changed*Changed

Whether the device was actually changed

needs_reload?Needs Reload

Whether the TTS model needs to be reloaded on the new device

Defaultfalse
message?|

Optional status message

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/system/gpu-device?index=0'
Example Response
{  "success": true,  "changed": true,  "needs_reload": false,  "message": "string"}